 jQuery(document).ready(function() {
	
	jQuery('input[type=checkbox]').click( function() {

		/* Methode 1 : re-calculer les masques */
		var  pmask_recompute = 0;
		var  nmask_recompute = 0;
		var isChecked;
		jQuery.each( jQuery( '.cbprof' ), function() {
			isChecked = jQuery(this).is(':checked');
			if( isChecked ) pmask_recompute += parseInt( jQuery(this).val() );
		});
		jQuery.each( jQuery( '.cbniveau' ), function() {
			isChecked = jQuery(this).is(':checked');
			if( isChecked ) nmask_recompute += parseInt( jQuery(this).val() );
		});

		/* Methode 2 : utiliser les champs hidden pmask et nmask du tableau */
		// Determiner si la checkbox est active
		var checked = jQuery(this).is(':checked');

		// Determiner s'il s'agit d'une cb prof ou niveau
		var maskInput = jQuery(this).hasClass( 'cbprof' ) ? 'pmask' : 'nmask';
		// Determiner le "poids" du "masque" global des checkbox de ce type
		var maskValue = parseInt( jQuery('input[name="' + maskInput + '"]').val() );
		
		// Calculer la nouvelle valeur du masque (profs ou niveaux)
		var newMaskValue = 0;
		var thisValue = parseInt( this.value );
		if( checked )
			newMaskValue = maskValue + thisValue;
		else
			newMaskValue = maskValue - thisValue;
		
		jQuery('input[name="' + maskInput + '"]').val( newMaskValue );
		newMaskValue = jQuery('input[name="' + maskInput + '"]').val();

		var selectedClass = this.name;

		/* LOOP START */
		jQuery.each( jQuery( '.vyclass' ), function() {

				if( ! jQuery(this).hasClass( selectedClass ) ) return;

				var masksStr = jQuery(this).attr("text");
				var masks = masksStr.split( '|' );
				var prof = masks[0];
				var niveaux = masks[1];
				var pmask = jQuery('input[name="pmask"]').val();
				var nmask = jQuery('input[name="nmask"]').val();

				//var showThis = ( ( (prof & pmask_recompute) > 0 ) && ( (niveaux & nmask_recompute) > 0 ) ); // Methode 1
				var showThis = ( ( (prof & pmask) > 0 ) && ( (niveaux & nmask) > 0 ) );

				if( showThis )
					jQuery(this).removeClass( 'hiddenelem' );
				else
					jQuery(this).addClass( 'hiddenelem' );
			
		});

	});

/* Below : REMOVE in future versions */	
	
//	jQuery('.vtt-box' ).addClass( 'dispnoneelem' );
    jQuery('input[type=radio]').click( function() {

		// Get checkbox state : checked or not
		var checked = jQuery(this).attr("checked");
		//alert( this.name + ' ' + this.id + ' ' + checked );
		var visibleElem = this;

		// If checked, show related elements, otherwise hide them
		jQuery.each( jQuery('input[name="' + this.name + '"]'), function() {
			//alert( visibleElem.id + ' ' + this.id );
			if( this == visibleElem ) {
				jQuery('.' + this.id ).removeClass( 'dispnoneelem' );
				jQuery('.' + this.id ).addClass( 'dispnormelem' );
			}
			else {
				jQuery('.' + this.id ).removeClass( 'dispnormelem' );
				jQuery('.' + this.id ).addClass( 'dispnoneelem' );
			}
			//	jQuery('.' + this.id ).addClass( 'hiddenelem' );
		});
	});

});
