var  pmask_recompute = 0;
var  nmask_recompute = 0;
var recomputeEachTime = true;

window.addEvent('domready', function(){

		$$('.cbprof').addEvent('click', function(event){

			if( recomputeEachTime)
				recomputeMaskAll( 'pmask', null );
			else
				recomputeMask( 'pmask',  this );
			tableUpdate( '.' + this.get( 'name' ), recomputeEachTime );
			
		});

		$$('.cbniveau').addEvent('click', function(event){

			if( recomputeEachTime)
				recomputeMaskAll( 'nmask', null );
			else
				recomputeMask( 'nmask',  this );
			tableUpdate( '.' + this.get( 'name' ), recomputeEachTime );

			});

});

function tableUpdate( selectedClass, recomputeEachTime ) {

	var pmask = $( 'pmask' ).get( 'value' );
	var nmask = $( 'nmask' ).get( 'value' );

	// LOOP START //		
	$$( selectedClass ).each(function(thisDiv){

		var divChildren = thisDiv.getChildren();
		var masksCaseField = $(divChildren[0]).get('value') ;
		var masksCase = masksCaseField.split( '|' );
		var prof = parseInt( masksCase[0] );
		var niveaux = parseInt( masksCase[1] );

		var showThis;
		if( recomputeEachTime ) showThis = ( ( (prof & pmask_recompute) > 0 ) && ( (niveaux & nmask_recompute) > 0 ) );
		else showThis = ( ( (prof & pmask) > 0 ) && ( (niveaux & nmask) > 0 ) );
//alert( thisDiv.get( 'text' ) 	+ '[ ' + prof + ' & ' + pmask_recompute + ' = ' + (prof & pmask_recompute) + ' ]'
//									+ '[ ' + niveaux + ' & ' + nmask_recompute + ' = ' + (niveaux & nmask_recompute) + ' ] => ' + showThis );
		if( showThis )
			thisDiv.removeClass( 'hiddenelem' );
		else
			thisDiv.addClass( 'hiddenelem' );
		});

}

function recomputeMask( maskField, cbObject ) {

		var isAdd = cbObject.get( 'checked' );
		var value = cbObject.get( 'value' );
		
		// Determiner le "poids" du "masque" global des checkbox de ce type
		var maskValue = parseInt( $( maskField ).get( 'value' ) );
		
		// Calculer la nouvelle valeur du masque (profs ou niveaux)
		var newMaskValue = 0;
		var thisValue = parseInt( value );
		if( isAdd )
			newMaskValue = maskValue + thisValue;
		else
			newMaskValue = maskValue - thisValue;
		
		$( maskField ).set( 'value', newMaskValue );
		//newMaskValue = jQuery('input[name="' + maskInput + '"]').val();
}

// Methode 1 : re-calculer les masques 
function recomputeMaskAll( maskField, cbObject ) {

		pmask_recompute = 0;
		nmask_recompute = 0;
		
		$$( '.cbprof' ).each( function( cb ) {
			isChecked = ( cb.get('checked') == true );
			if( isChecked ) pmask_recompute += parseInt( cb.get( 'value' ) );
		});
		$$( '.cbniveau' ).each( function( cb ) {
			isChecked = ( cb.get('checked') == true );
			if( isChecked ) nmask_recompute += parseInt( cb.get( 'value' ) );
		});
}

