var gcWrapper;
var recTable = $( '#recTable' );
//var toto = new GoogleCalendarEntry( 0 );
$(document).ready(function() {
/*	var str = ''
	$('.entryField').each( function() {
		str += '[' + $(this).attr( 'id' ) + ']\n';
	} );
	alert( str );
*/
	// initialise all inputs of class dateField as date pickers (jquery-ui datepicker widget)
	$(function() {
		$( ".dateField" ).datepicker();
	});
	
	// make buttons from text inputs in the calendar entries "navigation bar"
	$(function() {
		$( ":text", "#calendarEntriesNav" ).button();
	});

	// set handlers to handle what happens when week or month button is clicked
	//$('input[name=mode]').change( selectionModeChanged );
	//$('#month').click( selectionModeChanged );
	initEntriesDateSelector();
	// set handler for "selected date changed" event
	//$('#entriesDateSelector').change( entriesDateSelChanged );
	
	gcWrapper = new CalendarModelGoogle();
	
//	wpCalendarModel = new CalendarModelWP();
//	wpCalendarModel.init();
	
	var intervalSelectorView = new IntervalView(
		{
            'dateSelector' : $('#entriesDateSelector'),
            'modeSelector' : $('input[name=mode]')
        } 
	);
	var intervalController = new IntervalController( gcWrapper, intervalSelectorView );
//	var intervalController = new IntervalController( wpCalendarModel, intervalSelectorView );
	
	var entryListView = new EntryListView( 
		{//	'entryFields' : $( '.entryField' ),
            'entryList'   : eventList = document.getElementById('calendarEntriesContent')
        }
	);
    var entryListController = new EntryListController( gcWrapper, entryListView );
//    var entryListController = new EntryListController( wpCalendarModel, entryListView );
	entryListView.show();

	
	var entryEditView = new EntryEditView( 
        {	'entryFields'   : $( '.entryField' ),
			'newButton'     : $( '#new_button' ),
			'discardButton'	: $( '#discard_button' ),
			'saveButton'	: $( '#save_button' ) }
    );
	var entryEditController = new EntryEditController( gcWrapper, entryEditView );
//	var entryEditController = new EntryEditController( wpCalendarModel, entryEditView );
    entryEditView.show();
	
	//log( testDateFuncs() );
	
});


function selectionModeChanged() {
	gcWrapper.setSelectionMode( $(this).val() );
//	wpCalendarModel.setSelectionMode( $(this).val() );
	resetEntriesDateSelector();
//	gcWrapper.setDateInterval( currentMonthInterval() );
//	gcWrapper.getEvents();
	return false;
}

function entriesDateSelChanged() {
	selectedDate = $( this ).val();
	//$( '#entriesDateSelector').val( getWeekIntervalPrettyFromFrench( selectedDate ) );
	gcWrapper.setCurrentDate( getDateIsoFromRegional( selectedDate ) );
//	wpCalendarModel.setCurrentDate( getDateIsoFromRegional( selectedDate ) );
	resetEntriesDateSelector();
//	gcWrapper.setDateInterval( currentMonthBounds() );
//	recomputeEntriesInterval();
}

function resetEntriesDateSelector() {
  $('#entriesDateSelector').val( gcWrapper.getDateInterval() );
//  $('#entriesDateSelector').val( wpCalendarModel.getDateInterval() );
}

function initEntriesDateSelector() {
  var today = new DateModel( new Date() );
  //var thisMonth = today.getMonth() + 1;
  //var thisYear = today.getFullYear();
  $('#entriesDateSelector').val( today.getMonthAndYear() );
}

function selectMonthYear() {
	$('#month_year').text( $('#sel_mois option:selected').text() + ' ' + $('#sel_annee option:selected').text() );
	getEvents();
}

function recomputeEntriesInterval() {
}

function currentWeekBounds() {
}


// load the Google data JS Client Library
//alert( '1- load gdata libs' );
google.load('gdata', '2.x');




/**
 * Checks if the user is logged in, and changes the login button and displayed sections accordingly.
 * Also initializes the calendarService variable, and calls a function to fill in the form based on the URL.
 */
function _init() {
	
	gcWrapper.init();
	
	var token = google.accounts.user.checkLogin( gcWrapper.eventFeedUrl );
	var authButton = document.getElementById('auth_button');

	if (google.accounts.user.checkLogin(gcWrapper.eventFeedUrl)) {
			authButton.value = 'Déconnexion';
			document.getElementById('calendarEntries').style.display = 'block';
			document.getElementById('addBirthday').style.display = 'block';
	} else {
			document.getElementById('loginNotice').style.display = 'block';
			authButton.value = 'Connexion';
	}

}

google.setOnLoadCallback(_init);


