<?php 
/* Largely inspired from Birthday Manager sample for Google Calendar
 * Copyright (c) 2007 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 */
 
 function select_mois( $slug ) {
	$mois_a = array( '1' => 'Janvier', '2' => 'Février', '3' => ' Mars', '4' => 'Avril', '5' => ' Mai', '6' => 'Juin',
		'7' => 'Juillet', '8' => 'Août', '9' => 'Septembre', '10' => 'Octobre', '11' => 'Novembre', '12' => 'Décembre' );
	$select = "<select id='$slug' name='$slug'>\n";
	foreach( $mois_a as $slug_mois => $mois ) $select .= "\t<option value='$slug_mois'>$mois</option>\n";
	$select .= "</select>\n";
	return $select;
}
 
function select_gen( $slug ) {
	//$annee_a = array( '2010', '2011', '2012', '2013', '2014', '2015', '2016' );
	$select = "<select id='$slug' name='$slug'>\n";
	//foreach( $annee_a as $annee ) $select .= "\t<option value='$annee'>$annee</option>\n";
	$select .= "</select>\n";
	return $select;
}
 
function wpytt_options_agenda() {
	global $wpytt_subpages;
	$pagetitle = $wpytt_subpages[__FUNCTION__];
?>
<div id="fsoptions" class="wrap" >
<?php screen_icon(); ?>
<h2 style="display: inline"><?php echo esc_html( $pagetitle ); ?></h2>
<span style="position: relative; left: -5px; top: 12px"><img src="<?php echo plugins_url('images/logo-100px.png', __FILE__)?>" alt="logo"/></span>
<?php wpytt_options_subpages_menu( __FUNCTION__ ); ?>
<form method="post" action="admin.php?page=wpytt_options_agenda">

<!--input type="hidden" id="_ajaxUrl" value="<?php echo plugins_url('/calendar/ajax.php', __FILE__); ?>" /-->
<div id="pageHeader" style="height: 240px; width: 68%"><!-- height: 40px; -->
	
	<div class="indent" style=" padding-bottom: 4px;">
		Cette page d'options permet de gérer l'Agenda Google de l'ARAY, directement depuis Wordpress.
		<input id="auth_button" type="button" value="Connexion" onclick="gcWrapper.loginOrLogout()"/>
	</div>

	<div id="loginNotice" class="indent" style="color:#cc0000; font-weight:bold; display:none;">
		Cette page étant une application tierce qui utilise le compte Google de l'Aray,<br>
		il est nécessaire de lui permettre l'accès au compte en cliquant sur le bouton "Connexion".
	</div>

	<div id="messages" class="" style="padding: 3px 0 3px 12px; display: none; "></div>
	<input id="message_lt" type="hidden" value="0" />
	<div id="msgb" class="" style="padding: 3px 0 3px 12px; display: none; "></div>
	<div id="msgc" class="" style="padding: 3px 0 3px 12px; display: none; "></div>
	

</div>

<a name="forms"></a>
<div id="calendarEntries" class="hidden" style="width: 27%; float: right;">

<div id="calendarEntriesNav" style="height: 80px; margin-top: -40px">
	<span style="text-align: center; margin: 0 30% 0 30%">
	<input type="radio" name="mode" value="week" checked="checked" />Semaine&nbsp;
	<input type="radio" name="mode" value="month" />Mois&nbsp;</span>
	<input id="entriesDateSelector" name="entriesDateSelector" size="40" type="text" class="dateField" style="margin-top: 12px"/>
</div>

<div id="calendarEntriesHeader" style="font-weight: bold; border-bottom:1px solid #bbb; padding-bottom: 3px; margin-bottom: 5px;">
Evènements enregistrés pour cette période
</div>
<div id="calendarEntriesContent"></div>
</div>
  <div id="addBirthday" class="hidden" style="width: 72%; margin-top: 40px;" class="hidden">
  
<div style="display: inline-table; vertical-align: top; padding-right: 15px;">
<div id="addEventHeader" style="font-weight: bold; border-bottom:1px solid #bbb; padding-bottom: 3px; margin-bottom: 5px;">
Ajouter un évènement<span style="float: right; margin-top: -12px">
<input id="new_button" name="new_button" type="button" value="Nouveau" style="margin:5px 0px 5px 10px;"/>
<input id="discard_button" name="discard_button" type="button" value="Annuler" style="margin:5px 0px 5px 0px;"/>
<input id="save_button" name="save_button" type="button" value="Enregistrer" style="margin:5px 0px 5px 0px;"/>
</span>
</div>
    <table>
      <tr style="height: 30px">
        <td>Nom :</td>
        <td colspan="3"><input id="title" name="title" class="entryField" type="text" style="width:100%"/></td>
      </tr>
      <tr>
        <td>Description :</td>
        <td colspan="3"><textarea id="desc" name="desc" class="entryField" rows="5" type="text" style="width:100%"></textarea></td>
      </tr>
      <tr style="height: 30px">
        <td>Lieu :</td>
        <td colspan="3"><input id="where" name="where" class="entryField" type="text" style="width:100%"/></td>
      </tr>
		<tr style="height: 30px">
		<td>Toute la journée</td>
		<td><input id="wholeday" name="wholeday" type="checkbox" class="entryField"/>&nbsp;Oui/Non</td>
      <tr style="height: 30px">
        <td>Date de début :</td>
        <td><input id="startdate" name="startdate" class="dateField entryField" type="text" value="2007-08-16" style="width:100%"/></td>
        <td class="fs_hours">&nbsp;Heure :</td>
		<td class="fs_hours"><input id="starttime" name="starttime" size="6" type="text" class="entryField" value="" /></td>
      </tr>
      <tr style="height: 30px">
        <td>Date de fin :</td>
        <td><input id="enddate" name="enddate" class="dateField entryField" type="text" value="2007-08-17" style="width:100%"/></td>
        <td class="fs_hours">&nbsp;Heure :</td>
		<td class="fs_hours"><input id="endtime" name="endtime" size="6" type="text" class="entryField" value="" /></td>
		<tr>
		<td>Couleur</td><td><input id="color" name="color" class="entryField" type="text" value="#aaa"></td>
		</tr>
      </tr></table>
	<br>
	</div>
	
	<div style="display: inline-table; vertical-align: top;">
 	<div style="font-weight: bold; border-bottom:1px solid #bbb; padding-bottom: 3px; margin-bottom: 5px;">
	Récurrence&nbsp;<input id="recurrent" name="recurrent" type="checkbox" class="entryField"/>&nbsp;Oui/Non
	</div>
      <table style="border: 1px solid #eee; padding: 3px; margin-top: 5px;" class="fs_recurrence">

	  <tr style="height: 30px">
        <td>Répétition&nbsp;</td>
        <td colspan="1"><select id="FREQ" name="FREQ" class="entryField">
			<option value="DAILY">Chaque (x) jour(s)</option>
			<option value="MO-TU-WE-TH-FR">Chaque jour ouvré (Lun-Ven)</option>
			<option value="MO-WE-FR">Chaque Lun, Mer, Ven</option>
			<option value="TU-TH">Chaque Mar, Jeu</option>
			<option value="WEEKLY">Chaque (x) semaine(s)</option>
			<option value="MONTHLY">Chaque (x) mois</option>
			<option value="YEARLY">Chaque (x) année(s)</option>
		</select></td>
		<td class="fs_interval">&nbsp;chaque&nbsp;
		<select id="INTERVAL" name="INTERVAL" class="entryField">
			<?php foreach( select_nombres( 1, 30, 1) as $nombre ) echo "<option value='$nombre'>$nombre</option>\n"; ?>
		</select>&nbsp;<span id='label_interval'>jour</span>
		</td>
      </tr>
      <tr style="height: 30px;" class="fs_repeatondays">
        <td>Répéter le&nbsp;</td>
        <td colspan="4">
		<input id="MO" name="MO" type="checkbox" class="entryField"/>&nbsp;Lu&nbsp;
        <input id="TU" name="TU" type="checkbox" class="entryField"/>&nbsp;Ma&nbsp;
        <input id="WE" name="WE" type="checkbox" class="entryField"/>&nbsp;Me&nbsp;
		<input id="TH" name="TH" type="checkbox" class="entryField"/>&nbsp;Je&nbsp;
        <input id="FR" name="FR" type="checkbox" class="entryField"/>&nbsp;Ve&nbsp;
        <input id="SA" name="SA" type="checkbox" class="entryField" checked/>&nbsp;Sa&nbsp;
		<input id="SU" name="SU" type="checkbox" class="entryField"/>&nbsp;Di&nbsp;
        </td>
      </tr>

	  <tr style="height: 25px" class="fs_repeatmonthtype">
		<td style="padding: 6px 0 5px 0;">Répéter le&nbsp;</td>
		<td style="padding: 6px 0 5px 0;">
			<input name="repeatmonthtype" value="BYMONTHDAY" type="radio" class="entryField" checked="checked" />&nbsp;Jour du mois&nbsp;
		<!--/td>
		<td style="padding: 6px 0 5px 0;"-->
			<input name="repeatmonthtype" value="BYDAY" type="radio" class="entryField" />&nbsp;Jour de la semaine
		</td>
		</tr>
		<tr><td class=""><input id="BYMONTHDAY" name="BYMONTHDAY" value="" type="hidden" class="entryField"/></td>
		<td class=""><input id="BYDAY" name="BYDAY" value="" type="hidden" class="entryField"/></td></tr>

      <tr><td colspan="5" style="border: 1px solid #eee; margin-top: 5px;"></td></tr>

	  <tr style="height: 25px;">
		<td rowspan="3">Arrêter</td>
		<td><input name="stopwhentype" value="_NEVER_" type="radio" class="entryField" checked="checked" />&nbsp;Jamais</td>
	  </tr>
	  <tr style="height: 25px">
		<td><input name="stopwhentype" value="COUNT" type="radio" class="entryField" />&nbsp;Après&nbsp;<input id="COUNT" name="COUNT" type="text" class="entryField"/></td><td>&nbsp;occurences</td>
	  </tr>
	  <tr style="height: 25px">
		<td><input name="stopwhentype" value="UNTIL" type="radio" class="entryField" />&nbsp;Le&nbsp;<input id="UNTIL" name="UNTIL"  type="text" class="dateField entryField"/></td>
	  </tr>
    </table>
	<table style="height: 10px; padding-left: 38px; padding-right: 39px; border: 1px solid #eee; visibility: hidden">
      <tr>
        <td>Répéter les&nbsp;</td>
        <td colspan="4">
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
		<input type="checkbox"/>&nbsp;XX&nbsp;
        </td>
      </tr>
	</table>
	<!--hr style="width: 400px; visibility: hidden; height: 1px" /-->
	</div> <!-- END inline-tables -->
</div>

</form>
<h3>Actions</h3>
<div id="debug_actions" class="indent" style="padding: 3px 0 3px 20px; width: 67%; background: #def; border: 1px solid #ced">&nbsp;</div>
<h3>Notifications</h3>
<div id="debug_notifs" class="indent" style="padding: 3px 0 3px 20px; width: 67%; background: #fed; border: 1px solid #edc">&nbsp;</div>
<h3>Modèles</h3>
<div id="debug_models" class="indent" style="padding: 3px 0 3px 20px; width: 67%; background: #f8f; border: 1px solid #e7e">&nbsp;</div>
<h3>Contrôleurs</h3>
<div id="debug_conts" class="indent" style="padding: 3px 0 3px 20px; width: 67%; background: #8ff; border: 1px solid #7ee">&nbsp;</div>
<h3>Vues</h3>
<div id="debug_views" class="indent" style="padding: 3px 0 3px 20px; width: 67%; background: #ff8; border: 1px solid #ee7">&nbsp;</div>


<!--textarea rows="12" cols="100" id="dbgDiv"></textarea-->

</div>
<?php } ?>